# Get

`GET /api/2.0/ip-access-lists/{list_id}`

Gets an IP access list, specified by its list ID.

API scopes: networking

## Path parameters

- `list_id` (string, optional)
  The ID for the corresponding IP access list

## Returns

- `ip_access_list` (object, optional)
  - `list_id` (string, optional)
    Universally unique identifier (UUID) of the IP access list.
  - `label` (string, optional)
    Label for the IP access list. This **cannot** be empty.
    Example: `Office VPN`
  - `ip_addresses` (array of string, optional)
    Example: `192.168.100.0/22`
  - `address_count` (int32, optional)
    Total number of IP or CIDR values.
    Example: `2`
  - `list_type` (string, optional)
    Possible values: `ALLOW`, `BLOCK`
  - `created_at` (int64, optional)
    Creation timestamp in milliseconds.
    Example: `1580265020299`
  - `created_by` (int64, optional)
    User ID of the user who created this list.
    Example: `202480738464078`
  - `updated_at` (int64, optional)
    Update timestamp in milliseconds.
    Example: `1580265020299`
  - `updated_by` (int64, optional)
    User ID of the user who updated this list.
    Example: `202480738464089`
  - `enabled` (boolean, optional)
    Specifies whether this IP access list is enabled.

## Response

```json
{
  "ip_access_list": {
    "list_id": "string",
    "label": "Office VPN",
    "ip_addresses": "192.168.100.0/22",
    "address_count": 2,
    "list_type": "string",
    "created_at": 1580265020299,
    "created_by": 202480738464078,
    "updated_at": 1580265020299,
    "updated_by": 202480738464089,
    "enabled": true
  }
}
```

